## kgpg 4.13.0

=== CMakeLists.txt ===
project(kgpg)

if(${CMAKE_SOURCE_DIR} STREQUAL ${CMAKE_CURRENT_SOURCE_DIR})
    find_package(KDE4)
    include( KDE4Defaults )

    add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
    add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

    # If definitions like -D_GNU_SOURCE are needed for these checks they
    # should be added to _KDE4_PLATFORM_DEFINITIONS when it is originally
    # defined outside this file.  Here we include these definitions in
    # CMAKE_REQUIRED_DEFINITIONS so they will be included in the build of
    # checks below.
    set( CMAKE_REQUIRED_DEFINITIONS ${_KDE4_PLATFORM_DEFINITIONS} )
endif()

find_package( KdepimLibs REQUIRED ) 

add_subdirectory( icons )
add_subdirectory( doc )
include_directories( ${KDE4_INCLUDES} ${KDEPIMLIBS_INCLUDE_DIR} )

option(KGPG_DEBUG_TRANSACTIONS "show commands and results of gpg calls in debug log" Off)

set(core_SRCS
   core/convert.cpp
   core/images.cpp
   core/emailvalidator.cpp
   core/kgpgkey.cpp
   core/KGpgExpandableNode.cpp
   core/KGpgKeyNode.cpp
   core/KGpgGroupMemberNode.cpp
   core/KGpgGroupNode.cpp
   core/KGpgNode.cpp
   core/KGpgOrphanNode.cpp
   core/KGpgRefNode.cpp
   core/KGpgRootNode.cpp
   core/KGpgSignableNode.cpp
   core/KGpgSignNode.cpp
   core/KGpgSubkeyNode.cpp
   core/KGpgUatNode.cpp
   core/KGpgUidNode.cpp
)

set(kgpg_editor_SRCS
   editor/kgpgmd5widget.cpp
   editor/kgpgeditor.cpp
   editor/kgpgtextedit.cpp
)

set(kgpg_model_SRCS
   model/kgpgitemmodel.cpp
   model/groupeditproxymodel.cpp
   model/keylistproxymodel.cpp
   model/kgpgsearchresultmodel.cpp
   model/selectkeyproxymodel.cpp
)

set(kgpg_transaction_SRCS
   transactions/kgpgtransaction.cpp
   transactions/kgpgtransactionjob.cpp
   transactions/kgpguidtransaction.cpp
   transactions/kgpgeditkeytransaction.cpp
   transactions/kgpgsigntransactionhelper.cpp
   transactions/kgpgchangedisable.cpp
   transactions/kgpgchangeexpire.cpp
   transactions/kgpgchangepass.cpp
   transactions/kgpgchangetrust.cpp
   transactions/kgpgdelsign.cpp
   transactions/kgpgdeluid.cpp
   transactions/kgpgencrypt.cpp
   transactions/kgpgexport.cpp
   transactions/kgpgaddphoto.cpp
   transactions/kgpgadduid.cpp
   transactions/kgpggeneratekey.cpp
   transactions/kgpggeneraterevoke.cpp
   transactions/kgpgdecrypt.cpp
   transactions/kgpgdelkey.cpp
   transactions/kgpgimport.cpp
   transactions/kgpgkeyservertransaction.cpp
   transactions/kgpgkeyservergettransaction.cpp
   transactions/kgpgkeyserversearchtransaction.cpp
   transactions/kgpgprimaryuid.cpp
   transactions/kgpgsendkeys.cpp
   transactions/kgpgsignkey.cpp
   transactions/kgpgsigntext.cpp
   transactions/kgpgsignuid.cpp
   transactions/kgpgtextorfiletransaction.cpp
   transactions/kgpgverify.cpp
)

set(kgpg_SRCS ${core_SRCS} ${kgpg_editor_SRCS} ${kgpg_model_SRCS} ${kgpg_transaction_SRCS}
   selectpublickeydialog.cpp
   selectsecretkey.cpp
   kgpgoptions.cpp
   keysmanager.cpp
   kgpg.cpp
   main.cpp
   kgpgkeygenerate.cpp
   kgpginterface.cpp
   kgpgtextinterface.cpp
   gpgproc.cpp
   klinebufferedprocess.cpp
   keyservers.cpp
   detailedconsole.cpp
   keyinfodialog.cpp
   newkey.cpp
   keyexport.cpp
   conf_encryption.cpp
   kgpgrevokewidget.cpp
   keytreeview.cpp
   groupedit.cpp
   sourceselect.cpp
   kgpgchangekey.cpp
   kgpgfirstassistant.cpp
   kgpgexternalactions.cpp
   selectexpirydate.cpp
   caff.cpp
   foldercompressjob.cpp
)

qt4_add_dbus_adaptor( kgpg_SRCS org.kde.kgpg.Key.xml keysmanager.h KeysManager)

QT4_ADD_DBUS_INTERFACE(kgpg_SRCS org.kde.kgpg.Key.xml kgpg_interface )

kde4_add_ui_files(kgpg_SRCS
    adduid.ui
    conf_gpg.ui
    searchres.ui
    groupedit.ui
    conf_ui2.ui
    conf_servers.ui
    conf_misc.ui
    newkey.ui
    keyexport.ui
    conf_encryption.ui
    kgpgKeyInfo.ui
    kgpgkeygenerate.ui
    kgpgrevokewidget.ui
    keyserver.ui
    conf_decryption.ui
    sourceselect.ui
)

kde4_add_app_icon(kgpg_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/hi*-app*-kgpg.png")

kde4_add_kcfg_files(kgpg_SRCS kgpgsettings.kcfgc )

kde4_add_executable(kgpg ${kgpg_SRCS})

if (KGPG_DEBUG_TRANSACTIONS)
	get_target_property(KGPG_FLAGS kgpg COMPILE_DEFINITIONS)
	if (NOT KGPG_FLAGS)
		# get rid of the NOTFOUND
		set(KGPG_FLAGS)
	endif (NOT KGPG_FLAGS)
	list(APPEND KGPG_FLAGS KGPG_DEBUG_TRANSACTIONS)
	set_target_properties(kgpg PROPERTIES COMPILE_DEFINITIONS "${KGPG_FLAGS}")
endif (KGPG_DEBUG_TRANSACTIONS)

target_link_libraries(kgpg
	${KDE4_KIO_LIBS}
	${KDE4_KABC_LIBS}
	${KDE4_KUTILS_LIBS}
	${KDE4_KPIMUTILS_LIBRARY}
	${KDE4_SOLID_LIBS}
	${KDEPIMLIBS_AKONADI_CONTACT_LIBS}
)

install(TARGETS kgpg  ${INSTALL_TARGETS_DEFAULT_ARGS} )

########### install files ###############

install( FILES editor/kgpgeditor.rc keysmanager.rc tips  DESTINATION ${DATA_INSTALL_DIR}/kgpg)
install( PROGRAMS kgpg.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR})
install( FILES kgpg.kcfg  DESTINATION ${KCFG_INSTALL_DIR})
install( FILES kgpg.desktop  DESTINATION ${AUTOSTART_INSTALL_DIR} )
install( FILES encryptfile.desktop encryptfolder.desktop viewdecrypted.desktop DESTINATION
${SERVICES_INSTALL_DIR}/ServiceMenus)
install( FILES org.kde.kgpg.Key.xml DESTINATION ${DBUS_INTERFACES_INSTALL_DIR})

kde4_install_icons( ${ICON_INSTALL_DIR}   )

## kgpg 4.8.2

=== debian/changelog ===
kgpg (4:4.8.2-0ubuntu2) precise-proposed; urgency=low

  * Rebuild for .pot generation

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 12 Apr 2012 16:32:05 +0100

kgpg (4:4.8.2-0ubuntu1) precise; urgency=low

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 03 Apr 2012 08:52:03 +0000

kgpg (4:4.8.1-0ubuntu1) precise; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 04 Mar 2012 21:48:27 +0100

kgpg (4:4.8.0a-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 20 Jan 2012 12:10:43 +0000

kgpg (4:4.7.97-0ubuntu1) precise; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 05 Jan 2012 12:18:41 +0000

kgpg (4:4.7.95-0ubuntu1) precise; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 24 Dec 2011 23:16:12 +0100

kgpg (4:4.7.90-0ubuntu1) precise; urgency=low

  * Initial package

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 16 Dec 2011 14:56:55 +0000

=== debian/control ===
Source: kgpg
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.8.1),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.8.1), kdepimlibs5-dev (>= 4:4.8.1)
Standards-Version: 3.9.2
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kgpg
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kgpg

Package: kgpg
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: graphical front end for GNU Privacy Guard
 Kgpg manages cryptographic keys for the GNU Privacy Guard, and can encrypt,
 decrypt, sign, and verify files.  It features a simple editor for applying
 cryptography to short pieces of text, and can also quickly apply cryptography
 to the contents of the clipboard.
 .
 This package is part of the KDE SC utilities module.

## kgpg 4.8.4

=== debian/changelog ===
kgpg (4:4.8.4-4) unstable; urgency=low

  * Team upload.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Depend on gnupg or gnupg2 (Closes: #686632).

 -- Pino Toscano <pino@debian.org>  Thu, 29 Nov 2012 20:34:53 +0100

kgpg (4:4.8.4-3) unstable; urgency=low

  * Team upload.
  * Backport upstream commit a3b0cb755ff08721a3b9e2c25d4aaf655fb40804 to fix
    a crash when setting a new default key; patch
    upstream_fix-NULL-deref-when-new-setting-default-key.patch.
  * Backport upstream commit 2d252cf08c51866a6acebe705db11b29941691bf to fix
    the comparison of keys; patch
    upstream_fix-key-comparison-returning-wrong-values.patch. (Closes: #679635)

 -- Pino Toscano <pino@debian.org>  Sat, 30 Jun 2012 14:26:02 +0200

kgpg (4:4.8.4-2) unstable; urgency=low

  * Team upload

  [ Eshat Cakar ]
  * Add Breaks/Replaces with previous kdeutils-dbg packages. (Closes: #678492)

 -- Sune Vuorela <sune@debian.org>  Fri, 22 Jun 2012 22:01:54 +0200

kgpg (4:4.8.4-1) unstable; urgency=low

  * Initial release.
  * Bump Standards-Version to 3.9.3, no further changes.
  * Add watch file.

 -- Eshat Cakar <info@eshat.de>  Sun, 04 Mar 2012 21:48:27 +0100

=== debian/control ===
Source: kgpg
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
 Sune Vuorela <sune@debian.org>,
 Modestas Vainius <modax@debian.org>,
 George Kiagiadakis <kiagiadakis.george@gmail.com>,
 José Manuel Santamaría Lema <panfaust@gmail.com>,
 Eshat Cakar <info@eshat.de>
Build-Depends: kde-sc-dev-latest (>= 4:4.8.4),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.8), kdepimlibs5-dev (>= 4:4.8),
Standards-Version: 3.9.3
Homepage: http://www.kde.org/
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kgpg.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kgpg.git

Package: kgpg
Section: utils
Architecture: any
Depends: gnupg | gnupg2, ${shlibs:Depends}, ${misc:Depends}
Description: graphical front end for GNU Privacy Guard
 Kgpg manages cryptographic keys for the GNU Privacy Guard, and can encrypt,
 decrypt, sign, and verify files.  It features a simple editor for applying
 cryptography to short pieces of text, and can also quickly apply cryptography
 to the contents of the clipboard.
 .
 This package is part of the KDE Utilities module.


Package: kgpg-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, kgpg (= ${binary:Version})
Replaces: kdeutils-dbg (<< 4:4.8)
Breaks: kdeutils-dbg (<< 4:4.8)
Description: debugging symbols for kgpg
 This package contains debugging files used to investigate problems with
 binaries included in kgpg.
 .
 This package is part of the KDE Utilities module.

## kgpg 4.8.5

=== debian/changelog ===
kgpg (4:4.8.5-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream bugfix release (LP: #1047417)

 -- Scott Kitterman <scott@kitterman.com>  Fri, 07 Sep 2012 16:51:11 +0200

kgpg (4:4.8.4-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release. (LP: #1007798)

 -- Felix Geyer <debfx@ubuntu.com>  Sat, 23 Jun 2012 22:38:58 +0200

kgpg (4:4.8.3-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release (LP: #1002336)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 May 2012 20:42:30 +0200

=== debian/control ===
Source: kgpg
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.8.5),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.8.1), kdepimlibs5-dev (>= 4:4.8.1)
Standards-Version: 3.9.2
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kgpg
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kgpg

Package: kgpg
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: graphical front end for GNU Privacy Guard
 Kgpg manages cryptographic keys for the GNU Privacy Guard, and can encrypt,
 decrypt, sign, and verify files.  It features a simple editor for applying
 cryptography to short pieces of text, and can also quickly apply cryptography
 to the contents of the clipboard.
 .
 This package is part of the KDE SC utilities module.

## kgpg 4.9.2

=== debian/changelog ===
kgpg (4:4.9.2-0ubuntu2) quantal; urgency=low

  * Rebuild to get missing binaries that were lost due to being copied from
    proposed to release before they were built

 -- Scott Kitterman <scott@kitterman.com>  Fri, 12 Oct 2012 09:30:02 -0400

kgpg (4:4.9.2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 02 Oct 2012 15:27:55 +0100

kgpg (4:4.9.1-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 10 Sep 2012 18:32:36 +0530

kgpg (4:4.9.0-0ubuntu1) quantal; urgency=low

  * Use direct build-depends versions rather than kde-sc-dev-latest
  * New upstream release
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 26 Jul 2012 22:25:51 +0100

kgpg (4:4.8.90-0ubuntu1) quantal; urgency=low

  * New upstream beta release.

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 11 Jun 2012 23:29:33 +0200

kgpg (4:4.8.80-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 06 Jun 2012 16:37:53 +0100

kgpg (4:4.8.3-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 May 2012 20:42:30 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.8.5),
+Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.8.1), kdepimlibs5-dev (>= 4:4.8.1)
+ kdelibs5-dev (>= 4:4.9.2), kdepimlibs5-dev (>= 4:4.9.2)
 Standards-Version: 3.9.2
 Homepage: http://www.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kgpg

## kgpg 4.9.4

=== debian/changelog ===
kgpg (4:4.9.4-0ubuntu0.1) quantal; urgency=low

  * New upstream bugfix release (LP: #1085516)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 02 Dec 2012 00:58:47 +0100

kgpg (4:4.9.3-0ubuntu0.1) quantal-proposed; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 29 Nov 2012 23:37:36 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.2), kdepimlibs5-dev (>= 4:4.9.2)
+ kdelibs5-dev (>= 4:4.9.4), kdepimlibs5-dev (>= 4:4.9.4)
 Standards-Version: 3.9.2
 Homepage: http://www.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kgpg

## kgpg 4.9.5

=== debian/changelog ===
kgpg (4:4.9.5-0ubuntu0.1) quantal; urgency=low

  * New upstream bugfix release (LP: #1094523)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 30 Dec 2012 21:36:14 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.4), kdepimlibs5-dev (>= 4:4.9.4)
+ kdelibs5-dev (>= 4:4.9.5), kdepimlibs5-dev (>= 4:4.9.5)
 Standards-Version: 3.9.2
 Homepage: http://www.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kgpg

## kgpg 4.10.0

=== debian/changelog ===
kgpg (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 11:54:16 +0000

kgpg (4:4.9.98-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 15:37:27 +0000

kgpg (4:4.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:35:31 +0100

kgpg (4:4.9.95-0ubuntu1) raring; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:30:10 +0000

kgpg (4:4.9.90-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 17:54:22 +0000

kgpg (4:4.9.80-0ubuntu1) raring; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Nov 2012 15:58:16 +0000

kgpg (4:4.9.3-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:36:35 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.5), kdepimlibs5-dev (>= 4:4.9.5)
+ kdelibs5-dev (>= 4:4.10.0), kdepimlibs5-dev (>= 4:4.10.0)
 Standards-Version: 3.9.2
 Homepage: http://www.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kgpg

## kgpg 4.10.2

=== debian/changelog ===
kgpg (4:4.10.2-0ubuntu1) raring; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:48:53 +0200

kgpg (4:4.10.1-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release
  * Drop obsolete lintian-overrides file from kdeutils

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 15:45:58 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.0), kdepimlibs5-dev (>= 4:4.10.0)
+ kdelibs5-dev (>= 4:4.10.2), kdepimlibs5-dev (>= 4:4.10.2)
 Standards-Version: 3.9.2
 Homepage: http://www.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kgpg

## kgpg 4.10.4

=== debian/changelog ===
kgpg (4:4.10.4-0ubuntu0.1) raring-proposed; urgency=low

  * New upstream bugfix release (LP: #1187574)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 20 Jun 2013 04:32:08 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.2), kdepimlibs5-dev (>= 4:4.10.2)
+ kdelibs5-dev (>= 4:4.10.4), kdepimlibs5-dev (>= 4:4.10.4)
 Standards-Version: 3.9.2
 Homepage: http://www.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kgpg

## kgpg 4.11.2

=== debian/changelog ===
kgpg (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 14:25:30 +0100

kgpg (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 06 Sep 2013 22:23:19 +0100

kgpg (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Aug 2013 00:16:23 +0100

kgpg (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 19:35:29 +0100

kgpg (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:32:30 +0000

kgpg (4:4.10.90-0ubuntu1) saucy; urgency=low

  * New upstream bet release

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 18:14:53 +0100

kgpg (4:4.10.80-0ubuntu1) saucy; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 21 Jun 2013 01:18:14 +0100

kgpg (4:4.10.4-0ubuntu1) saucy-proposed; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 07 Jun 2013 00:32:53 +0100

kgpg (4:4.10.3-0ubuntu1) saucy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 23 May 2013 11:04:40 +0000

kgpg (4:4.10.2-2) experimental; urgency=low

  * Reorder build-deps hoping to cheat the aptitude resolver.

 -- Sune Vuorela <sune@debian.org>  Thu, 11 Apr 2013 08:38:27 +0000

kgpg (4:4.10.2-1) experimental; urgency=low

  * New upstream release.
  * Bump build-deps.
  * Update uploaders.
  * Remove patches taken from upstream.

 -- Sune Vuorela <sune@debian.org>  Sun, 07 Apr 2013 23:52:43 +0000

=== debian/control ===
Source: kgpg
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
 Sune Vuorela <sune@debian.org>,
 Modestas Vainius <modax@debian.org>,
 George Kiagiadakis <kiagiadakis.george@gmail.com>,
 Eshat Cakar <info@eshat.de>
Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdepimlibs5-dev (>= 4:4.11.2), nepomuk-core-dev (>= 4:4.11.2)
Standards-Version: 3.9.3
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kgpg
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kgpg
X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kgpg.git
X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kgpg.git

Package: kgpg
Section: utils
Architecture: any
Depends: gnupg | gnupg2, ${shlibs:Depends}, ${misc:Depends}
Description: graphical front end for GNU Privacy Guard
 Kgpg manages cryptographic keys for the GNU Privacy Guard, and can encrypt,
 decrypt, sign, and verify files.  It features a simple editor for applying
 cryptography to short pieces of text, and can also quickly apply cryptography
 to the contents of the clipboard.
 .
 This package is part of the KDE Utilities module.


Package: kgpg-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, kgpg (= ${binary:Version})
Replaces: kdeutils-dbg (<< 4:4.8)
Breaks: kdeutils-dbg (<< 4:4.8)
Description: debugging symbols for kgpg
 This package contains debugging files used to investigate problems with
 binaries included in kgpg.
 .
 This package is part of the KDE Utilities module.

## kgpg 4.11.5

=== debian/changelog ===
kgpg (4:4.11.5-0ubuntu0.1) saucy; urgency=medium

  * New upstream bugfix release (LP: #1266285)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 16 Jan 2014 14:40:16 +0100

kgpg (4:4.11.3-0ubuntu0.1) saucy; urgency=low

  * New upstream bugfix release (LP: #1247235)

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 29 Nov 2013 15:52:35 +0000

=== debian/control ===
--- 
+++ 
@@ -10,11 +10,11 @@
  Eshat Cakar <info@eshat.de>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdepimlibs5-dev (>= 4:4.11.2), nepomuk-core-dev (>= 4:4.11.2)
+ kdepimlibs5-dev (>= 4:4.11.5), nepomuk-core-dev (>= 4:4.11.5)
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kgpg
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kgpg
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kgpg-13.10
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kgpg-13.10
 X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kgpg.git
 X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kgpg.git

## kgpg 4.12.3

=== debian/changelog ===
kgpg (4:4.12.3-0ubuntu1~ubuntu12.04.4~ppa1) precise; urgency=low

  * precise backport

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 06 Mar 2014 15:38:06 +0100

kgpg (4:4.12.3-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 28 Feb 2014 20:46:30 +0100

kgpg (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 05 Feb 2014 00:00:54 +0000

kgpg (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 08:18:02 +0000

kgpg (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 17:07:53 +0000

kgpg (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 13:09:32 +0000

kgpg (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 18:06:18 +0100

kgpg (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release
  * Add libboost1.54-dev as a dependency

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 17:41:06 +0100

=== debian/control ===
--- 
+++ 
@@ -10,11 +10,12 @@
  Eshat Cakar <info@eshat.de>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdepimlibs5-dev (>= 4:4.11.5), nepomuk-core-dev (>= 4:4.11.5)
+ kdepimlibs5-dev (>= 4:4.12.3), nepomuk-core-dev (>= 4:4.12.3),
+ libboost1.48-dev
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kgpg-13.10
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kgpg-13.10
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kgpg
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kgpg
 X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kgpg.git
 X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kgpg.git

## kgpg 4.13.0

=== debian/changelog ===
kgpg (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 22:03:28 +0100

kgpg (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:26:58 +0200

kgpg (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 12:28:53 +0100

kgpg (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 10:57:54 +0000

kgpg (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 20:49:01 +0100

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
  Eshat Cakar <info@eshat.de>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdepimlibs5-dev (>= 4:4.12.3), nepomuk-core-dev (>= 4:4.12.3),
- libboost1.48-dev
+ kdepimlibs5-dev (>= 4:4.13.0), nepomuk-core-dev (>= 4:4.13.0),
+ libboost1.54-dev
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kgpg

## kgpg 4.13.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
     set( CMAKE_REQUIRED_DEFINITIONS ${_KDE4_PLATFORM_DEFINITIONS} )
 endif()
 
-find_package( KdepimLibs REQUIRED ) 
+find_package( KdepimLibs REQUIRED )
 
 add_subdirectory( icons )
 add_subdirectory( doc )
@@ -174,6 +174,7 @@
 
 install( FILES editor/kgpgeditor.rc keysmanager.rc tips  DESTINATION ${DATA_INSTALL_DIR}/kgpg)
 install( PROGRAMS kgpg.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR})
+install( FILES kgpg.appdata.xml  DESTINATION share/appdata/ )
 install( FILES kgpg.kcfg  DESTINATION ${KCFG_INSTALL_DIR})
 install( FILES kgpg.desktop  DESTINATION ${AUTOSTART_INSTALL_DIR} )
 install( FILES encryptfile.desktop encryptfolder.desktop viewdecrypted.desktop DESTINATION

=== doc/CMakeLists.txt ===
########### install files ###############
#
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kgpg)

=== debian/changelog ===
kgpg (4:4.13.2-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1327591)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 18 Jun 2014 12:49:05 +0200

kgpg (4:4.13.1-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1318142)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 04 Jun 2014 16:51:56 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  Eshat Cakar <info@eshat.de>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdepimlibs5-dev (>= 4:4.13.0), nepomuk-core-dev (>= 4:4.13.0),
+ kdepimlibs5-dev (>= 4:4.13.2), nepomuk-core-dev (>= 4:4.13.2),
  libboost1.54-dev
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=kgpg-dbg

override_dh_auto_install:
	dh_auto_install --destdir=debian/kgpg

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/kgpg-([\d\.]*).tar.xz

## kgpg 4.14.1

=== debian/changelog ===
kgpg (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 17:14:30 +0200

kgpg (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 13:08:39 +0200

kgpg (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 16:47:16 +0200

kgpg (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 18:16:12 +0200

kgpg (4:4.13.90-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * New upstream beta release

  [ Jonathan Riddell ]
  * Add build-dep on libgpgme11-dev

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 23:06:57 +0200

kgpg (4:4.13.2-0ubuntu1) utopic; urgency=medium

  [ Rohan Garg ]
  * Fix boost builddep

  [ Jonathan Riddell ]
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 11:57:52 +0100

kgpg (4:4.13.1-1ubuntu1) utopic; urgency=medium

  * Merge with Debian, no remaining changes

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 16 Jun 2014 16:51:34 +0200

kgpg (4:4.13.1-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 May 2014 14:09:56 +0200

kgpg (4:4.13.0-0ubuntu2) UNRELEASED; urgency=medium

  * Build against boost1.55.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 03 May 2014 22:07:40 +0100

kgpg (4:4.12.4-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:23:46 +0200

kgpg (4:4.12.3-1) experimental; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 04 Mar 2014 00:05:26 +0100

kgpg (4:4.12.2-1) experimental; urgency=medium

  * New upstream release.
  * Update build dependencies.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:31:29 +0100

kgpg (4:4.11.5-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.5, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 03 Feb 2014 12:34:32 +0100

kgpg (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 10 Nov 2013 00:27:28 +0100

kgpg (4:4.11.2-1) experimental; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 09 Oct 2013 11:59:20 +0200

kgpg (4:4.10.5-1) unstable; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Jul 2013 09:22:15 +0200

kgpg (4:4.10.4-1) experimental; urgency=low

  * New upstream release.
  * Bump debhelper build-dep and compat to 9.
  * Bump Standards-Version to 3.9.4.
  * Add myself to uploaders.
  * Update vcs fields.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Jun 2013 19:46:12 +0200

=== debian/control ===
Source: kgpg
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdepimlibs5-dev (>= 4:4.14.1),
               libboost1.55-dev,
               pkg-kde-tools (>= 0.12),
               libgpgme11-dev,
Standards-Version: 3.9.5
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kgpg
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kgpg
X-Vcs-Debian-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kgpg.git
X-Vcs-Debian-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kgpg.git

Package: kgpg
Section: utils
Architecture: any
Depends: gnupg | gnupg2, ${misc:Depends}, ${shlibs:Depends}
Description: graphical front end for GNU Privacy Guard
 Kgpg manages cryptographic keys for the GNU Privacy Guard, and can encrypt,
 decrypt, sign, and verify files.  It features a simple editor for applying
 cryptography to short pieces of text, and can also quickly apply cryptography
 to the contents of the clipboard.
 .
 This package is part of the KDE Utilities module.

Package: kgpg-dbg
Section: debug
Architecture: any
Priority: extra
Depends: kgpg (= ${binary:Version}), ${misc:Depends}
Replaces: kdeutils-dbg (<< 4:4.8)
Breaks: kdeutils-dbg (<< 4:4.8)
Description: debugging symbols for kgpg
 This package contains debugging files used to investigate problems with
 binaries included in kgpg.
 .
 This package is part of the KDE Utilities module.

## kgpg 4.14.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,10 +16,12 @@
 endif()
 
 find_package( KdepimLibs REQUIRED )
+# only headers are used
+find_package( Gpgme REQUIRED )
 
 add_subdirectory( icons )
 add_subdirectory( doc )
-include_directories( ${KDE4_INCLUDES} ${KDEPIMLIBS_INCLUDE_DIR} )
+include_directories( ${KDE4_INCLUDES} ${KDEPIMLIBS_INCLUDE_DIR} ${GPGME_INCLUDES} )
 
 option(KGPG_DEBUG_TRANSACTIONS "show commands and results of gpg calls in debug log" Off)
 
@@ -50,6 +52,7 @@
 )
 
 set(kgpg_model_SRCS
+   model/gpgservermodel.cpp
    model/kgpgitemmodel.cpp
    model/groupeditproxymodel.cpp
    model/keylistproxymodel.cpp

=== debian/changelog ===
kgpg (4:4.14.2-1) unstable; urgency=medium

  * New upstream release (4.14.2).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 20 Oct 2014 17:12:58 +0200

kgpg (4:4.14.1-2) unstable; urgency=medium

  * Team upload.
  * Add an explicit kdelibs5-dev build dependency before kdepimlibs5-dev;
    this should help pulling phonon-backend-dummy as build dependency instead
    of a real backend, even if some library depends on phonon.

 -- Pino Toscano <pino@debian.org>  Sat, 04 Oct 2014 19:21:21 +0200

kgpg (4:4.14.1-1) unstable; urgency=medium

  * New upstream release (4.14.1).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 17 Sep 2014 09:44:23 +0200

kgpg (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 24 Aug 2014 04:39:06 +0200

kgpg (4:4.13.2-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 31 Jul 2014 15:11:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: kgpg
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>,
            Sune Vuorela <sune@debian.org>,
            Modestas Vainius <modax@debian.org>,
@@ -12,16 +11,16 @@
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdepimlibs5-dev (>= 4:4.14.1),
-               libboost1.55-dev,
-               pkg-kde-tools (>= 0.12),
+               kdelibs5-dev,
+               kdepimlibs5-dev (>= 4:4.13.3-2),
+               libboost-dev,
                libgpgme11-dev,
+               nepomuk-core-dev (>= 4:4.11),
+               pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.5
 Homepage: http://www.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kgpg
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kgpg
-X-Vcs-Debian-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kgpg.git
-X-Vcs-Debian-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kgpg.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kgpg.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kgpg.git
 
 Package: kgpg
 Section: utils

=== debian/watch ===
version=3
http://download.kde.org/stable/([\d.]+)/src/kgpg-([\d.]+).tar.xz

## kgpg 14.12.3

=== debian/changelog ===
kgpg (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 13:44:31 -0700

kgpg (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 08:16:26 -0800

kgpg (4:14.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove kdelibs5-dev depend version as there was not a new release.
  * Remove kdepimlibs5-dev depend version as there was not a new release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 16:02:49 +0100

kgpg (4:14.11.97-0ubuntu1) vivid; urgency=medium

  * New upstream release candidate

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 02 Dec 2014 21:01:06 -0800

kgpg (4:14.11.95-0ubuntu1) vivid; urgency=medium

  * Initial release for KDE applications 14.12 series 
   - Change maintainer to Debian/Kubuntu
   - Fix Watch file applications locations 
   - Fix VCS for new kde-applications location
  * Debian merge, remaining changes: 
   - Remove EOL nepomuk-core-dev build depend.

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 25 Nov 2014 18:42:07 +0000

kgpg (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 04:54:15 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: kgpg
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>,
            Sune Vuorela <sune@debian.org>,
            Modestas Vainius <modax@debian.org>,
@@ -12,15 +12,14 @@
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
                kdelibs5-dev,
-               kdepimlibs5-dev (>= 4:4.13.3-2),
+               kdepimlibs5-dev,
                libboost-dev,
-               libgpgme11-dev,
-               nepomuk-core-dev (>= 4:4.11),
+               libgpgme11-dev,               
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.5
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kgpg.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kgpg.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kgpg.git/
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kgpg.git
 
 Package: kgpg
 Section: utils

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kgpg-([\d.]+).tar.xz

http://download.kde.org/unstable/applications/([\d.]+)/src/kgpg-([\d.]+).tar.xz

## kgpg 15.08.2

=== debian/changelog ===
kgpg (4:15.08.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:26:34 +0100

kgpg (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 16:52:41 +0100

kgpg (4:15.08.0-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release

  [ Clive Johnston ]
  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:25:57 +0100

=== debian/control ===
--- 
+++ 
@@ -14,9 +14,9 @@
                kdelibs5-dev,
                kdepimlibs5-dev,
                libboost-dev,
-               libgpgme11-dev,               
+               libgpgme11-dev,
                pkg-kde-tools (>= 0.12)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kgpg.git/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kgpg.git

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kgpg-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/kgpg-([\d.]+).tar.xz

## kgpg 15.12.3

=== debian/changelog ===
kgpg (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 15:23:24 -0700

kgpg (4:15.12.1-1ubuntu1) xenial; urgency=medium

  * Debian merge: No remaining changes. 
  * Fix typo. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Mar 2016 10:44:45 +0100

kgpg (4:15.12.1-1) experimental; urgency=medium

  * New upstream release (15.12.0).
  * New upstream release (15.12.1).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:22:14 +0100

kgpg (4:15.12.0-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Sat, 02 Jan 2016 13:54:29 +0000

kgpg (4:15.08.3-1) unstable; urgency=medium

  * New upstream release (15.08.3).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Dec 2015 12:38:33 +0100

kgpg (4:15.08.2-1) unstable; urgency=medium

  * New upstream release (15.08.2).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 16 Oct 2015 08:06:45 +0200

kgpg (4:15.08.0-1) unstable; urgency=medium

  * New upstream release (15.08.0).
  * Avoid depending on kdepim-runtime. (Closes: #797670)

 -- Maximiliano Curia <maxy@debian.org>  Tue, 01 Sep 2015 17:48:21 +0200

kgpg (4:15.04.3-1) experimental; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * New upstream release (15.04.0).
  * New upstream release (15.04.2).

  [ Jeremy Lainé ]
  * New upstream release (15.04.3).

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Tue, 28 Jul 2015 14:17:07 +0200

kgpg (4:14.12.3-1) experimental; urgency=medium

  * New upstream release (14.12.3).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 29 Mar 2015 15:12:58 +0200

kgpg (4:14.12.2-1) experimental; urgency=medium

  * New upstream release (14.12.2).
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 23 Feb 2015 14:41:39 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
            George Kiagiadakis <kiagiadakis.george@gmail.com>,
            Eshat Cakar <info@eshat.de>,
            Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake,
+Build-Depends: cmake (>= 2.8.9~),
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
                kdelibs5-dev,
@@ -18,8 +18,8 @@
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kgpg.git/
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kgpg.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kgpg.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kgpg.git
 
 Package: kgpg
 Section: utils
@@ -32,16 +32,3 @@
  to the contents of the clipboard.
  .
  This package is part of the KDE Utilities module.
-
-Package: kgpg-dbg
-Section: debug
-Architecture: any
-Priority: extra
-Depends: kgpg (= ${binary:Version}), ${misc:Depends}
-Replaces: kdeutils-dbg (<< 4:4.8)
-Breaks: kdeutils-dbg (<< 4:4.8)
-Description: debugging symbols for kgpg
- This package contains debugging files used to investigate problems with
- binaries included in kgpg.
- .
- This package is part of the KDE Utilities module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --ddeb-migration='kgpg-dbg (<= 4:15.12.1-1~~)'

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_shlibdeps:
	$(overridden_command) -- -xkdepim-runtime

## kgpg 16.04.3

=== debian/changelog ===
kgpg (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release.
  * Debian merge: No remaining changes. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:35:34 +0200

=== debian/control ===
--- 
+++ 
@@ -11,15 +11,15 @@
 Build-Depends: cmake (>= 2.8.9~),
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev,
+               kdelibs5-dev (>= 4:4.14.22~),
                kdepimlibs5-dev,
                libboost-dev,
                libgpgme11-dev,
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kgpg.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kgpg.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kgpg
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kgpg
 
 Package: kgpg
 Section: utils
